<div class="container">
  <div class="pull-right">
    <%= link_to "เพิ่ม", new_user_path, class: 'btn btn-primary' %>
  </div> 
  <!-- Nav tabs -->
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#all" aria-controls="all" role="tab" data-toggle="tab">All</a></li>
    <li role="presentation"><a href="#members" aria-controls="members" role="tab" data-toggle="tab">Member</a></li>
    <li role="presentation"><a href="#agents" aria-controls="agents" role="tab" data-toggle="tab">Agents</a></li>
  </ul>

  <!-- Tab panes -->
  <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="all">
      <table class="table">
        <thead>
          <tr>
            <th>ชื่อ</th>
            <th>username</th>
            <th>role</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <% @users.each do |user| %>
          <tr>
            <td><%= user.name %></td>
            <td><%= user.username %></td>
            <td><%= user.role %></td>
            <td></td>
            <td class="manage">
              <%= link_to "ดู", user_path(user), class: 'btn btn-warning' %>
              <%= link_to "แก้ไข", edit_user_path(user), class: 'btn btn-success' %>
              <%= button_to "ลบ", user, method: :delete, class: 'btn btn-danger', data: { confirm: 'ยืนยันว่าจะลบ Member นี้' } %>
            </td>
          </tr>
          <% end %>
        </tbody>
      </table>
    </div>
    <div role="tabpanel" class="tab-pane" id="members">
      <table class="table">
        <thead>
          <tr>
            <th>ชื่อ</th>
            <th>username</th>
            <th>role</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <% @members.each do |member| %>
          <tr>
            <td><%= member.name %></td>
            <td><%= member.username %></td>
            <td><%= member.role %></td>
            <td></td>
            <td class="manage">
              <%= link_to "ดู", user_path(member), class: 'btn btn-warning' %>
              <%= link_to "แก้ไข", edit_user_path(member), class: 'btn btn-success' %>
              <%= button_to "ลบ", member, method: :delete, class: 'btn btn-danger', data: { confirm: 'ยืนยันว่าจะลบ Member นี้' } %>
            </td>
          </tr>
          <% end %>
        </tbody>
      </table>
    </div>
    <div role="tabpanel" class="tab-pane" id="agents">
      <table class="table">
        <thead>
          <tr>
            <th>ชื่อ</th>
            <th>username</th>
            <th>role</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <% @agents.each do |agent| %>
          <tr>
            <td><%= agent.name %></td>
            <td><%= agent.username %></td>
            <td><%= agent.role %></td>
            <td></td>
            <td class="manage">
              <%= link_to "ดู", user_path(agent), class: 'btn btn-warning' %>
              <%= link_to "แก้ไข", edit_user_path(agent), class: 'btn btn-success' %>
              <%= button_to "ลบ", agent, method: :delete, class: 'btn btn-danger', data: { confirm: 'ยืนยันว่าจะลบ Member นี้' } %>
            </td>
          </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>

</div>